## curl 7.32.0

=== debian/changelog ===
curl (7.32.0-1ubuntu1.4) saucy-security; urgency=medium

  * SECURITY UPDATE: wrong re-use of connections
    - debian/patches/CVE-2014-0138.patch: fix possible issues with NTLM
      HTTP logic, and extend new connection logic to other protocols in
      lib/http.c, lib/url.c, lib/urldata.h, add new tests to
      tests/data/Makefile.am, tests/data/test1418, tests/data/test1419.
    - CVE-2014-0138
  * SECURITY UPDATE: incorrect wildcard SSL certificate validation with
    literal IP addresses
    - debian/patches/CVE-2014-0139.patch: fix wildcard logic in
      lib/hostcheck.c, added tests to tests/data/Makefile.am,
      tests/data/test1397, tests/unit/Makefile.inc, tests/unit/unit1397.c.
    - CVE-2014-0139
  * debian/patches/fix_test172.path: fix expired cookie causing test to
    fail.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 01 Apr 2014 10:16:55 -0400

curl (7.32.0-1ubuntu1.3) saucy-security; urgency=medium

  * SECURITY UPDATE: information disclosure via incorrect NTLM credential
    reuse
    - debian/patches/CVE-2014-0015.patch: don't reuse connections if NTLM
      auth is used in lib/url.c.
    - CVE-2014-0015

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 31 Jan 2014 08:29:56 -0500

curl (7.32.0-1ubuntu1.2) saucy-security; urgency=low

  * SECURITY UPDATE: missing CN verification when signature verification is
    disabled in GnuTLS backend.
    - debian/patches/CVE-2013-6422.patch: still verify host when
      CURLOPT_SSL_VERIFYPEER isn't set in lib/gtls.c.
    - CVE-2013-6422

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 17 Dec 2013 12:45:52 -0500

curl (7.32.0-1ubuntu1.1) saucy-security; urgency=low

  * SECURITY UPDATE: missing CN verification when signature verification is
    disabled.
    - debian/patches/CVE-2013-4545.patch: still verify host when
      CURLOPT_SSL_VERIFYPEER isn't set in lib/ssluse.c.
    - CVE-2013-4545

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 29 Nov 2013 08:28:32 -0500

curl (7.32.0-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop dependencies not in main:
      + Build-Depends: Drop stunnel4 and libssh2-1-dev.
      + Drop libssh2-1-dev from binary package Depends.
    - Add new libcurl3-udeb package.
    - Add new curl-udeb package.
  * Fixes freeipa-client join. (LP: #1220928)

 -- Ubuntu Merge-o-Matic <mom@ubuntu.com>  Mon, 12 Aug 2013 15:39:32 +0000

curl (7.32.0-1) unstable; urgency=low

  * New upstream release
  * Fix typo in changelog entry for 7.31.0-1 (Closes: #714502)
  * Drop 08_typo.patch (merged upstream)
  * Drop 09_openssl-recv.patch (merged upstream)
  * Refresh 90_gnutls.patch and 99_nss.patch
  * Refresh 06_always-disable-valgrind.patch
  * Enable threaded DNS resolver (Closes: #570436)
    See NEWS.Debian for more info

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 12 Aug 2013 12:19:05 +0200

curl (7.31.0-2ubuntu1) saucy; urgency=low

  * Merge from Debian, Remaining changes: 
    - Drop dependencies not in main:
      + Build-Depends: Drop stunnel4 and libssh2-1-dev.
      + Drop libssh2-1-dev from binary package Depends.
    - Add new libcurl3-udeb package.
    - Add new curl-udeb package.

 -- Oussama Bounaim <o.bounaim@gmail.com>  Tue, 23 Jul 2013 18:42:00 +0100

curl (7.31.0-2) unstable; urgency=high

  * Add 09_openssl-recv.patch to fix incorrect OpenSSL usage (Closes: #714050)
  * Set urgency=high because of the security fix in the previous upload

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 26 Jun 2013 11:47:00 +0200

curl (7.31.0-1ubuntu1) saucy; urgency=low

  * Resynchronize on Debian. Remaining changes:
    - Drop dependencies not in main:
      + Build-Depends: Drop stunnel4 and libssh2-1-dev.
      + Drop libssh2-1-dev from binary package Depends.
    - Add new libcurl3-udeb package.
    - Add new curl-udeb package.

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 24 Jun 2013 13:36:52 +0200

curl (7.31.0-1) unstable; urgency=low

  * New upstream release
    - Fix URL decode buffer boundary flaw as per CVE-2013-2174
      http://curl.haxx.se/docs/adv_20130622.html
  * Make curl Multi-Arch: foreign (Closes: #712585)
  * Drop 08_reset-timecond.patch (merged upstream)
  * Refresh patches
  * Add 08_typo.patch to fix a couple of typos in one of the manpages

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 22 Jun 2013 15:46:53 +0200

curl (7.30.0-2) unstable; urgency=low

  * Move textual docs to the -doc package too
  * Move manpages from -dev packages to -doc as well
    - Add Breaks+Replaces accordingly
  * Remove outdated Replaces/Conflicts
  * Update watch file version to 3
  * Add 08_reset-timecond.patch (Closes: #705783)

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 10 May 2013 17:46:46 +0200

curl (7.30.0-1ubuntu1) saucy; urgency=low

  * Resynchronize on Debian. Remaining changes:
    - Drop dependencies not in main:
      + Build-Depends: Drop stunnel4 and libssh2-1-dev.
      + Drop libssh2-1-dev from binary package Depends.
    - Add new libcurl3-udeb package.
    - Add new curl-udeb package.
  * Add warning to debian/patches/series.

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 07 May 2013 12:16:37 +0200

curl (7.30.0-1) unstable; urgency=low

  * New upstream release
  * Update upstream copyright years
  * Drop patches merged upstream:
    - 08_NULL-pointer-dereference-on-close.patch
    - 09_CVE-213-1944.patch
    - 10_test1218-another-cookie-tailmatch-test.patch
  * Update patches:
    - 03_keep_symbols_compat.patch
    - 90_gnutls.patch
    - 99_nss.patch
  * Add libcurl4-doc package:
    - Move *.pdf and *.html files to the libcurl4-doc package
    - Add Suggests for -doc package to -dev packages
    - Move examples to the -doc package
  * Add Build-Depends on python which is used by some tests

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 18 Apr 2013 12:55:09 +0200

curl (7.29.0-2.1) unstable; urgency=high

  * Non-maintainer upload.

  [ Alessandro Ghedini ]

